Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.html
Class HtmlPeer

    java.lang.Object
      com.lowagie.text.xml.XmlPeer
          com.lowagie.text.html.HtmlPeer

    public class HtmlPeer

extends XmlPeer

This interface is implemented by the peer of all the iText objects.

Field Summary

Fields inherited from class com.lowagie.text.xml.XmlPeer
`attributeAliases, attributeValues, customTagname, defaultContent, tagname`

Constructor Summary
`HtmlPeer(String name, String alias)` Creates a XmlPeer.

Method Summary
`void` | `addAlias(String name, String alias)` Sets an alias for an attribute.
`Properties` | `getAttributes(org.xml.sax.Attributes attrs)` Gets the list of attributes of the peer.

Methods inherited from class com.lowagie.text.xml.XmlPeer
`addValue, getAlias, getDefaultValues, getName, getTag, setContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlPeer

    public HtmlPeer(String name,
                    String alias)

  Creates a XmlPeer.

  Parameters:
    `name` - the iText name of the tag
    `alias` - the Html name of the tag

Method Detail

### addAlias

    public void addAlias(String name,
                         String alias)

  Sets an alias for an attribute.

  Overrides:
    `addAlias` in class `XmlPeer`
  Parameters:
    `name` - the iText tagname
    `alias` - the custom tagname

### getAttributes

    public Properties getAttributes(org.xml.sax.Attributes attrs)

  Description copied from class: `XmlPeer`
  Gets the list of attributes of the peer.

  Overrides:
    `getAttributes` in class `XmlPeer`
  Parameters:
    `attrs` - the userdefined set of attributes
  Returns:
    the set of attributes translated to iText attributes
  See Also:
    `XmlPeer.getAttributes(org.xml.sax.Attributes)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD